<?php

/*
 * PuzzleApp
 * Webemyos
 * Jérôme Oliva
 * GNU Licence
 */

namespace Plugins\NoResultPlugin\Entity;

use Core\Entity\Entity\Entity;
use Core\Entity\Entity\Property;
use Core\Entity\Entity\EntityProperty;


class NoResultCaracteristic extends Entity {

    //Constructeur
    function __construct($core) {
        //Version
        $this->Version = "2.0.0.0";

        //Nom de la table 
        $this->Core = $core;
        $this->TableName = "NoResultCaracteristic";
        $this->Alias = "NoResultCaracteristic";

        $this->AppName = new Property("AppName", "AppName", TEXTBOX, false, $this->Alias);
        $this->CaracteristicName= new Property("CaracteristicName", "CaracteristicName", TEXTBOX, false, $this->Alias);
        $this->CaracteristicValue = new Property("CaracteristicValue", "CaracteristicValue", TEXTBOX, false, $this->Alias);
        $this->Description = new Property("Description", "Description", TEXTBOX, false, $this->Alias);
       
        //Creation de l entité 
        $this->Create();
    }
}

?>